%define	name	kernel-alert
%define	version	0.8
%define	release	4mdk

Summary:		Alerts you by e-mail when new kernels are released.
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		Artistic
Group:			System/Kernel and hardware
URL:			http://www.faceprint.com/code/
Source:			%{name}-%{version}.tar.bz2
Requires:		perl-IO-stringy perl-MIME-tools perl-MailTools perl-Net-Finger
Requires:		perl-Term-ReadKey perl-Term-Prompt
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildArch:		noarch

%description
A perl script that will e-mail you when new Linux kernels are
released, and optionally attach the patch to the e-mail and/or
run a script of your choosing. Useful for those of you who live
for new kernels (you know who you are :-)

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%setup -q -c -n %{name}-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}/
install -m 755 %{name}-%{version} %{buildroot}%{_bindir}/%{name}.pl

%post
echo "You should probably run and initialize %{_bindir}/%{name}.pl, and then"
echo "add %{_bindir}/%{name}.pl to your crontab... (just a hint...)"

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.pl

%changelog
* Sun Apr 13 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.8-4mdk
- added missing requirisity (Term-ReadKey Term-Prompt)
- change license, it is Artistic, not GPL..

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8-3mdk
- build release

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8-2mdk
- changed to noarch

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8-1mdk
- new version

* Sat Dec  8 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-1mdk
- update to 0.7

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-2mdk
- needs perl-Net-Finger too..., it's hungry...

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-1mdk
- initial cooker contrib
- yes, i like small apps like this :)

